- Qt 5.15
- Qt 3D
- C++ Classes
- QForwardRenderer
- Qt 5.15.11 Reference Documentation

# Obsolete Members for QForwardRenderer

The following members of class QForwardRenderer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` window : QObject*

## Property Documentation

### window : QObject*

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Holds the current render surface.

Access functions:

QObject * | surface() const
void | setSurface(QObject *surface)

Notifier signal:

void | surfaceChanged(QObject *surface)